<!DOCTYPE html>
<html
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layouts/admin.html}"
>
	<head>
		<!-- tinymce -->
		<script src="/tinymce/tinymce.min.js" referrerpolicy="origin"></script>
		<title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">
			Setting - Matakuliah Kurikulum
		</title>
	</head>
	<body layout:fragment="content">
		<div class="container mx-auto px-4 mb-6 mt-6 space-y-6">
			<!-- nav tabs -->
			<div
				th:replace="~{setting/curriculum/subject/partials/navtab.html :: navTab}"
			></div>

			<!-- header -->
			<div
				th:replace="~{setting/curriculum/subject/cpl-cpmk/partials/header.html :: header}"
			></div>

			<!-- data -->
			<div
				th:replace="~{setting/curriculum/subject/cpl-cpmk/partials/form.html :: form}"
			></div>
		</div>
	</body>
</html>

<script>
	tinymce.init({
		selector: "textarea",
		skin:
			localStorage.getItem("theme") === "dark" ||
			(!("theme" in localStorage) &&
				window.matchMedia("(prefers-color-scheme: dark)").matches)
				? "oxide-dark"
				: "oxide",
		content_css:
			localStorage.getItem("theme") === "dark" ||
			(!("theme" in localStorage) &&
				window.matchMedia("(prefers-color-scheme: dark)").matches)
				? "dark"
				: "default",
		plugins:
			"preview importcss searchreplace autosave save directionality code visualblocks visualchars fullscreen table charmap pagebreak nonbreaking anchor insertdatetime advlist lists wordcount help charmap",
		ui: {
			useAutoToolbar: false,
		},
		menubar: false,
		toolbar:
			"undo redo | blocks fontsize | bold italic underline strikethrough | align numlist bullist | table  | lineheight outdent indent| forecolor backcolor removeformat | charmap | fullscreen | pagebreak anchor | ltr rtl",

		promotion: false,
		statusbar: false,
		autosave_ask_before_unload: true,
		autosave_interval: "30s",
		autosave_prefix: "{path}{query}-{id}-",
		autosave_restore_when_empty: false,
		autosave_retention: "2m",
	});
</script>
